Query subscription contract list
POST https://{handle}.myshopline.com/admin/openapi/v20261201/subscription/contract.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
- updated_at_max stringSubscription contract update time ( end ) ( format see IOS8601 )
- reverse booleanSort inversion
- user_ids arrayUser id list , up to 50Example:
[""] - first integerThe front n elements of return support up to 50 , and the last must and only one cannot be empty
- ids arrayContract id listExample:
[""] - after stringAfter a certain cursor , the value can be orderId , contractId , etc . , according to the specific api to indicate the specific business data id , before and after to only allow one to have value .
- created_at_min stringSubscription contract production time ( start ) ( format see IOS8601 )
- updated_at_min stringSubscription contract update time ( start ) ( format see IOS8601 )
- created_at_max stringSubscription contract production time ( end ) ( format see IOS8601 )
- next_billing_date_at_max stringSubscribe to next bill-generation time ( end ) ( format see IOS8601 )
- status arraySubscription contract status ( ACTIVE , FAILED , CANCELLED , EXPIRED )Example:
[""] - before stringBefore , the value could be orderId , contractId , etc . according to the specific api , it means that the specific business data id , before and after only allow one to have value .
- last integerReturn last n elements , maximum support 50 , must be with first and only one cannot be empty
- next_billing_date_at_min stringSubscribe to next bill generation time ( start ) ( format see IOS8601 )
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
page_infoobject
Paging informationhas_next_page boolean1has_previous_page boolean1start_cursor string1end_cursor string1subscription_contractsobject[]
Subscription contract information listline_itemsobject[]
Contract associated Productversion stringProduct versionproduct_source stringProduct source main_site main station product、customize custom productattributesobject[]
Product attributeskey stringAttributes key or namevalue stringAttribute valuetitle stringProduct titleamount stringProduct amount ( two precision string , like " 88.10 " )image_url stringProduct main imageamount_setobject
Product amountpresentment_moneyobject
Currency informationamount stringAmountcurrency_code stringCurrencyshop_moneyobject
Sell side amountcurrency_code stringCurrencyamount stringAmountpricing_policyobject[]
Subscription cycle discountcycle_discountsobject[]
Adjust per cycle of the subscribe to the lineadjustment_type stringDiscount type , FIXED_AMOUNT : minus , PERCENTAGE : discount ( minus percentage )adjustment_value longDiscount value subtraction amount ( points ) or ratiovariant_id stringProduct SKU serial numberquantity integerProduct quantitygroup_id stringItem group idsku stringProduct yardsvariant_attribute stringProduct attributescustomerobject
User informationshipping_addressobject
Shipping addressfirst_name stringConsignee nameprovince stringConsignee provincezip stringPostal codecompany stringCompany namecity_code stringConsignee city codecountry_code stringCountry or region , please refer to the country code specification biography , https : //aurogon-portal.yy.com/document/interface/478country stringCountry or regionlast_name stringConsignee last namephone stringConsignee contactaddress2 stringConsignee additional to the detailed addresscity stringConsignee citydistrict_code stringConsignee zone codeaddress1 stringConsignee detailed addressprovince_code stringConsignee province codedistrict stringConsignee zoneemail stringUser mailboxid stringUser IDnick_name stringUser namephone stringUser phonenext_billing_date stringNext bill datebilling_policyobject
Billing policy for the subscription agreementmax_cycles integerLargest subscription cyclemin_cycles integerMinimum subscription cycleinterval stringInterval units , ( day , MONTH , weed , year )interval_count integerInterval valuecustomer_payment_methodobject
payment methodinstrument_seq stringPayment tool idmethod_code stringPayment method encodingstore_payment_id stringPayment method idchannel_code stringPayment channel encodinginstrument_detailobject
Payment tool detailscardobject
Card informationholder stringCard holder namelast stringCard number rear display bitbrand stringCard brandbrand_icon stringCard iconexpire_month stringExpiration date : monthexpire_year stringExpiration date : yearfirst stringCard number front display bittype stringType card / account. card : carnegie ; account : account baseappobject
Subscription plug-in informationapp_key stringKey for app insertcreated_at stringCreation timestatus stringSubscription contract status ( ACTIVE , FAILED , CANCELLED , EXPIRED )id stringContract idlast_payment_status stringLast payment statusperiods integerDuration of current contract executionorigin_orderobject
Original order informationid stringOrder numberupdated_at stringUpdate timecurrency_code stringCurrencydelivery_infoobject
Shipping informationdelivery_name stringScheme namedelivery_seq stringThe seq for the shipping program
API Explorer
Debugger
Was this article helpful to you?